
.envelope{
  width:500px;
  height:300px;
  background-color:orange;
  margin:15% auto;
  position:relative;
  cursor:pointer;
  z-index:1;
}
.envelope:before{
  content:"";
  top:0;
  right:0;
  z-index:3;
  position:absolute;
  border-left:500px solid transparent;
  border-bottom:300px solid darkcyan;
}
.envelope:after{
  content:"";
  top:0;
  left:0;
  z-index:3;
  position:absolute;
  border-right:500px solid transparent;
  border-bottom:300px solid darkcyan;
}
.back{
  position:absolute;
  top:0;
  z-index:-1;
  transform-origin:top;
  border-top:150px solid darkcyan;
  border-left:250px solid transparent;
  border-right:250px solid transparent;
  transition: all 1s ease-in-out;
  transform: rotateX(180deg);
}

.letter{
  position:relative;
  top:0;
  padding:30px 30px;
  width:400px;
  height:200px;
  overflow:hidden;
  z-index:2;
  margin: 0 auto;
  background-color:#F1EBE3;
background-image: url("https://www.transparenttextures.com/patterns/asfalt-light.png");
  transition: all 1s ease-in-out;
  border: 1px solid #fff;
  border-radius: 3px;
  -moz-border-radius: 3px;
  -webkit-border-radius: 3px;
  box-shadow: 0px 0px 3px #9d9d9d, inset 0px 0px 27px #fff;
    -moz-box-shadow: 0px 0px 3px #9d9d9d, inset 0px 0px 14px #fff;
    -webkit-box-shadow: 0px 0px 3px #9d9d9d, inset 0px 0px 27px #fff;
}


.envelope:hover .letter{
  top:-300px;
  height:500px;
}
.letter:hover input[type=submit]{
  z-index:10;
  transition: all .5s ease-in-out;
}



//BUTTON


.noselect {
  -webkit-touch-callout: none;
    -webkit-user-select: none;
     -khtml-user-select: none;
       -moz-user-select: none;
        -ms-user-select: none;
            user-select: none;
		-webkit-tap-highlight-color: transparent;
}

button {
	border-radius: 30px; 
	width: 150px;
	height: 50px;
	cursor: pointer;
	border: none;
	display: flex;
	align-items: center;
	justify-content: center;
	background-color: #f9994b;
	background-image: linear-gradient(315deg, orange 0%, darkcyan 74%);
	background-size: 200% 100%;
	background-position: left;
	background-repeat: no-repeat;
	transition: 500ms;

}

button:before {
	border-radius: 30px; 
	content: 'Envoyer';
	color: rgb(0, 139, 139);
	font-size: 16px;
	position: absolute;
	display: flex;
	align-items: center;
	justify-content: center;
	width: 144px;
	height: 44px;
	background-color:white;
	background-image: linear-gradient(315deg, white 0%, white 74%);
	transition: 500ms;

}

button:hover {
	background-position: right;
}

button:hover:before {
	color: orange;
}

button:focus {
	outline: none;
}

/* Floating Labels */


.floating-form {
  width: 320px;
  text-align: center; 
  margin-left:20%;
  margin-top:50px;
}

/****  floating-Lable style start ****/
.floating-label {
  position: relative;
  margin-bottom: 35px;
}
.floating-input,
.floating-select {
  font-size: 14px;
  padding: 4px 4px;
  display: block;
  width: 100%;
  height: 30px;
  margin-bottom: 20px;
  background-color: transparent;
  border: none;
  border-bottom: 1px solid teal;
}

.floating-input:focus,
.floating-select:focus {
  outline: none;
  border-bottom: 2px solid orange;
}

label {
  color: #999;
  font-size: 14px;
  font-weight: normal;
  position: absolute;
  pointer-events: none;
  left: 5px;
  top: 5px;
  transition: 0.2s ease all;
  -moz-transition: 0.2s ease all;
  -webkit-transition: 0.2s ease all;
}

.floating-input:focus ~ label,
.floating-input:not(:placeholder-shown) ~ label {
  top: -18px;
  font-size: 14px;
  color: teal;
}

.floating-select:focus ~ label,
.floating-select:not([value=""]):valid ~ label {
  top: -18px;
  font-size: 14px;
  color: teal;
}

/* active state */
.floating-input:focus ~ .bar:before,
.floating-input:focus ~ .bar:after,
.floating-select:focus ~ .bar:before,
.floating-select:focus ~ .bar:after {
  width: 50%;
}

*,
*:before,
*:after {
  -webkit-box-sizing: border-box;
  -moz-box-sizing: border-box;
  box-sizing: border-box;
}

.floating-textarea {
  min-height: 30px;
  max-height: 260px;
  overflow: hidden;
  overflow-x: hidden;
}


h2 {
    font-family: "Expletus Sans", cursive;
    color:white;
    font-size: 50px; 
}